FANDOM


Replacement filing cabinet
Archived discussion
This page is an archive. Please do not edit the contents of this page, other than for maintenance. If you wish to revisit this topic, please bring it up again in a new thread.
Forums: IndexCommunity discussionsCan't Install | Forum new Post


i have sims 3 world adventure version 2.0.86 and want to install high end loft stuff expansion pack, but when i run the game... it keep saying that i need to update, when i click update, it say update failed, so i've finally patch manually to version 2.9.10 and i've encountered the same problem when trying to install Sims 3:High End Loft Stuff exp pack...can any1 help me...?!!!!!!

try to download and update from this master patch it is the latest update so it will eliminate all update problem. Wiryawan310 12:53, January 30, 2012 (UTC)
Community content is available under CC-BY-SA unless otherwise noted.